Request Options
HttpDeflateStream::__construct
HTTP
PHP Manual

# The HttpDeflateStream class

(PECL pecl_http >= 0.21.0)

## Class synopsis

HttpDeflateStream {
public __construct ([ int `$flags` = 0 ] )
static public HttpDeflateStream factory ([ int `$flags` = 0 [, string `$class_name` = "HttpDeflateStream" ]] )
public string finish ([ string `$data` ] )
public string flush ([ string `$data` ] )
public string update ( string `$data` )
}

## Class Members

## Predefined Constants

Type | Name | Description
--- | --- | ---
int | TYPE_GZIP | gzip encoding
int | TYPE_ZLIB | zlib AKA deflate encoding
int | TYPE_RAW | raw deflate encoding
int | LEVEL_DEF | default compression level
int | LEVEL_MIN | minimum compression level
int | LEVEL_MAX | maximum compression level
int | STRATEGY_DEF | default strategy
int | STRATEGY_FILT | filtered strategy
int | STRATEGY_HUFF | Huffman strategy
int | STRATEGY_RLE | RLE strategy
int | STRATEGY_FIXED | fixed strategy
int | FLUSH_NONE | no forced flush
int | FLUSH_SYNC | synching flush
int | FLUSH_FULL | full flush

## Examples

Example #1 A HttpDeflateStream example

`<?php
$stream = new HttpDeflateStream(
HttpDeflateStream::TYPE_GZIP |
HttpDeflateStream::LEVEL_MAX |
HttpDeflateStream::FLUSH_SYNC);
echo $stream->update($data);
echo $stream->finish();
?>`

## Table of Contents

- HttpDeflateStream::__construct — HttpDeflateStream class constructor
- HttpDeflateStream::factory — HttpDeflateStream class factory
- HttpDeflateStream::finish — Finalize deflate stream
- HttpDeflateStream::flush — Flush deflate stream
- HttpDeflateStream::update — Update deflate stream

Request Options
HttpDeflateStream::__construct
HTTP
PHP Manual